Quantcast

Problems building on Ubuntu 16.04

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Problems building on Ubuntu 16.04

mathog
Upgraded the Ubuntu 14.04 system which had endless build problems to
Ubuntu 16.04.
It doesn't seem to like 16.04 much better.  Different problems, but
still problems.

Cleaned out the build directory and did:

cmake ..

which failed at

...
WITH_OPENMP:             ON
WITH_PROFILING:          OFF
WITH_YAML:               OFF
------------------------------------------------------------------------
CMake Error: The following variables are used in this project, but they
are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the
CMake files:
POPPLER_INCLUDE_DIR
    used as include directory in directory /usr/local/src/inkscape_trunk
    used as include directory in directory /usr/local/src/inkscape_trunk
    used as include directory in directory /usr/local/src/inkscape_trunk
    used as include directory in directory /usr/local/src/inkscape_trunk
<SNIP many lines>
-- Configuring incomplete, errors occurred!
See also
"/usr/local/src/inkscape_trunk/build/CMakeFiles/CMakeOutput.log".

This is at revision 15617.  These poppler pieces are present

ii  gir1.2-poppler-0.18                          0.41.0-0ubuntu1
ii  libpoppler-dev:i386                          0.41.0-0ubuntu1
ii  libpoppler-glib-dev                          0.41.0-0ubuntu1
rc  libpoppler-glib4                             0.12.4-0ubuntu5.2
ii  libpoppler-glib8:i386                        0.41.0-0ubuntu1
rc  libpoppler19:i386                            0.18.4-1ubuntu3.1
rc  libpoppler44:i386                            0.24.5-2ubuntu4.4
rc  libpoppler5                                  0.12.4-0ubuntu5.2
ii  libpoppler58:i386                            0.41.0-0ubuntu1
ii  poppler-utils                                0.41.0-0ubuntu1


What needs to be tweaked to make this work?

Thanks,

David Mathog
[hidden email]
Manager, Sequence Analysis Facility, Biology Division, Caltech

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems building on Ubuntu 16.04

Shlomi Fish
Hi Mr. Mathog!

Some questions:

On Thu, 06 Apr 2017 18:05:38 -0700
mathog <[hidden email]> wrote:

> Upgraded the Ubuntu 14.04 system which had endless build problems to
> Ubuntu 16.04.
> It doesn't seem to like 16.04 much better.  Different problems, but
> still problems.
>
> Cleaned out the build directory and did:
>
> cmake ..
>
> which failed at
>
> ...
> WITH_OPENMP:             ON
> WITH_PROFILING:          OFF
> WITH_YAML:               OFF
> ------------------------------------------------------------------------
> CMake Error: The following variables are used in this project, but they
> are set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the
> CMake files:
> POPPLER_INCLUDE_DIR
>     used as include directory in directory /usr/local/src/inkscape_trunk
>     used as include directory in directory /usr/local/src/inkscape_trunk
>     used as include directory in directory /usr/local/src/inkscape_trunk
>     used as include directory in directory /usr/local/src/inkscape_trunk
> <SNIP many lines>
> -- Configuring incomplete, errors occurred!
> See also
> "/usr/local/src/inkscape_trunk/build/CMakeFiles/CMakeOutput.log".

Why is this src directory under /usr/local? Are you building inkscape as root?

>
> This is at revision 15617.  These poppler pieces are present
>
> ii  gir1.2-poppler-0.18                          0.41.0-0ubuntu1
> ii  libpoppler-dev:i386                          0.41.0-0ubuntu1
> ii  libpoppler-glib-dev                          0.41.0-0ubuntu1
> rc  libpoppler-glib4                             0.12.4-0ubuntu5.2
> ii  libpoppler-glib8:i386                        0.41.0-0ubuntu1
> rc  libpoppler19:i386                            0.18.4-1ubuntu3.1
> rc  libpoppler44:i386                            0.24.5-2ubuntu4.4
> rc  libpoppler5                                  0.12.4-0ubuntu5.2
> ii  libpoppler58:i386                            0.41.0-0ubuntu1
> ii  poppler-utils                                0.41.0-0ubuntu1
>

is this a 32-bit i586 machine or do you just have 32-bit packages?
Are you building the latest inkscape trunk?

>
> What needs to be tweaked to make this work?
>




> Thanks,
>
> David Mathog
> [hidden email]
> Manager, Sequence Analysis Facility, Biology Division, Caltech
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel



--
-----------------------------------------------------------------
Shlomi Fish       http://www.shlomifish.org/
Why I Love Perl - http://shlom.in/joy-of-perl

Chuck Norris can construct any logical expression using only AND gates.
Summer Glau can replace Chuck with a very small AND gate.
    — http://www.shlomifish.org/humour/bits/facts/Summer-Glau/

Please reply to list if it's a mailing list post - http://shlom.in/reply .

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems building on Ubuntu 16.04

mathog
In reply to this post by mathog
On 06-Apr-2017 18:05, mathog wrote:

> cmake ..
>
> which failed at
>
> ...
> WITH_OPENMP:             ON
> WITH_PROFILING:          OFF
> WITH_YAML:               OFF
> ------------------------------------------------------------------------
> CMake Error: The following variables are used in this project, but they
> are set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the
> CMake files:
> POPPLER_INCLUDE_DIR
>     used as include directory in directory
> /usr/local/src/inkscape_trunk
>     used as include directory in directory
> /usr/local/src/inkscape_trunk
>     used as include directory in directory
> /usr/local/src/inkscape_trunk
>     used as include directory in directory
> /usr/local/src/inkscape_trunk
> <SNIP many lines>
> -- Configuring incomplete, errors occurred!
> See also
> "/usr/local/src/inkscape_trunk/build/CMakeFiles/CMakeOutput.log".
>
> This is at revision 15617.

Did a completely clean install of inkscape using bzr on this system,
then in it

   mkdir build
   cd build
   cmake ..

and it failed the same way.  Futzed around with the poppler packages and
ended up here:

ii  gir1.2-poppler-0.18                          0.41.0-0ubuntu1
ii  libpoppler-dev:i386                          0.41.0-0ubuntu1
ii  libpoppler-glib-dev                          0.41.0-0ubuntu1
ii  libpoppler-glib8:i386                        0.41.0-0ubuntu1
ii  libpoppler58:i386                            0.41.0-0ubuntu1
ii  poppler-data                                 0.4.7-7
ii  poppler-utils                                0.41.0-0ubuntu1

and it still fails the same way.

pkg-config --cflags poppler
-I/usr/include/poppler
ls /usr/include/poppler
glib
ls /usr/include/poppler/glib
poppler-action.h  poppler-attachment.h  poppler-document.h  
poppler-features.h    poppler.h        poppler-media.h  poppler-page.h
poppler-annot.h   poppler-date.h        poppler-enums.h    
poppler-form-field.h  poppler-layer.h  poppler-movie.h  
poppler-structure-element.h

cmake is 3.5.1

Suggestions???

Thanks,

David Mathog
[hidden email]
Manager, Sequence Analysis Facility, Biology Division, Caltech

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Loading...